For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList uplifts
      • POSTCreate an uplift
      • GETGet uplift by ID
      • PUTUpdate uplift (full)
      • PATCHUpdate uplift (partial)
Calculator
LogoLogo
EndpointsUplifts

List uplifts

GET
https://api.finput.com.au/api/v1/uplifts
GET
/api/v1/uplifts
$curl https://api.finput.com.au/api/v1/uplifts \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": 1,
4 "uplift_name": "uplift_name",
5 "product_id": 1,
6 "rate_bracket_id": 1,
7 "fields_name": [
8 "fields_name"
9 ],
10 "rate_change": 1.1,
11 "property_ownership_status": true,
12 "asset_state": "none",
13 "min_asset_cost": 1.1,
14 "max_asset_cost": 1.1,
15 "min_asset_age": 1,
16 "max_asset_age": 1,
17 "min_abn_age": 1,
18 "max_abn_age": 1,
19 "min_gst_age": 1,
20 "max_gst_age": 1,
21 "min_term": 1,
22 "max_term": 1,
23 "min_credit_score": 1,
24 "max_credit_score": 1,
25 "min_asset_age_plus_term": 1,
26 "max_asset_age_plus_term": 1,
27 "private_sale": true,
28 "sale_hire_back": true,
29 "brokerage_loading_treatment": 1.1,
30 "created_at": "2024-01-15T09:30:00Z",
31 "updated_at": "2024-01-15T09:30:00Z"
32 }
33]
Returns uplifts filtered by product and rate bracket.
Was this page helpful?
Previous

Create an uplift

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

product_idintegerOptional
Filter by product ID
rate_bracket_idintegerOptional
Filter by rate bracket ID

Response

List of uplifts
idinteger
uplift_namestring
product_idinteger
rate_bracket_idinteger
fields_namelist of strings

List of field names this uplift applies to (max 15)

rate_changedouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Rate adjustment (positive = increase, negative = decrease)

property_ownership_statusbooleanDefaults to false
asset_stateenum
Allowed values:
min_asset_costdouble
max_asset_costdouble
min_asset_ageinteger
max_asset_ageinteger
min_abn_ageinteger
max_abn_ageinteger
min_gst_ageinteger
max_gst_ageinteger
min_terminteger
max_terminteger
min_credit_scoreinteger
max_credit_scoreinteger
min_asset_age_plus_terminteger
max_asset_age_plus_terminteger
private_salebooleanDefaults to false
sale_hire_backbooleanDefaults to false
brokerage_loading_treatmentdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
created_atdatetimeDefaults to 1970-01-01T00:00:00.000Z
updated_atdatetimeDefaults to 1970-01-01T00:00:00.000Z